package org.apache.bcel.generic;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import org.apache.bcel.ExceptionConst;
import org.apache.bcel.generic.ExceptionThrower;
import org.apache.bcel.generic.Instruction;
import org.apache.bcel.generic.StackConsumer;
import org.apache.bcel.generic.Visitor;

public class MONITORENTER extends Instruction implements ExceptionThrower, StackConsumer {
  public MONITORENTER() {
    super((short)194, (short)1);
  }
  
  public void accept(Visitor v) {
    v.visitExceptionThrower(this);
    v.visitStackConsumer(this);
    v.visitMONITORENTER(this);
  }
  
  public Class<?>[] getExceptions() {
    return new Class[] { ExceptionConst.NULL_POINTER_EXCEPTION };
  }
}
